## cfitsio 3.370

=== CMakeLists.txt ===
PROJECT(CFITSIO)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")

# Define project version
SET(${PROJECT_NAME}_MAJOR_VERSION 3)
SET(${PROJECT_NAME}_MINOR_VERSION 36)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})

IF(WIN32)
    SET(LIB_NAME cfitsio)
ELSE()
    SET(LIB_NAME libcfitsio)
ENDIF()

# Define
IF(MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF()

#add_subdirectory (src)

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)


FILE(GLOB H_FILES "*.h")

IF (USE_PTHREADS)
    FIND_PACKAGE(pthreads REQUIRED)
    INCLUDE_DIRECTORIES(${PTHREADS_INCLUDE_DIR})
    ADD_DEFINITIONS(-D_REENTRANT)
ENDIF()

SET(SRC_FILES
    buffers.c cfileio.c checksum.c drvrfile.c drvrmem.c
    drvrnet.c drvrsmem.c drvrgsiftp.c editcol.c edithdu.c eval_l.c
    eval_y.c eval_f.c fitscore.c getcol.c getcolb.c getcold.c getcole.c
    getcoli.c getcolj.c getcolk.c getcoll.c getcols.c getcolsb.c
    getcoluk.c getcolui.c getcoluj.c getkey.c group.c grparser.c
    histo.c iraffits.c
    modkey.c putcol.c putcolb.c putcold.c putcole.c putcoli.c
    putcolj.c putcolk.c putcoluk.c putcoll.c putcols.c putcolsb.c
    putcolu.c putcolui.c putcoluj.c putkey.c region.c scalnull.c
    swapproc.c wcssub.c wcsutil.c imcompress.c quantize.c ricecomp.c
    pliocomp.c fits_hcompress.c fits_hdecompress.c zlib/zuncompress.c
    zlib/zcompress.c zlib/adler32.c zlib/crc32.c zlib/inffast.c
    zlib/inftrees.c zlib/trees.c zlib/zutil.c zlib/deflate.c
    zlib/infback.c zlib/inflate.c zlib/uncompr.c simplerng.c
    f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
)

ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
TARGET_LINK_LIBRARIES(${LIB_NAME}
    ${PTHREADS_LIBRARY}
)

SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES
    VERSION ${PROJECT_NAME}_VERSION
)

ENABLE_TESTING()

ADD_EXECUTABLE(TestProg testprog.c)
TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
ADD_TEST(TestProg TestProg)

ADD_EXECUTABLE(cookbook cookbook.c)
TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
ADD_TEST(cookbook cookbook)

ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})

ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})

# To expands the command line arguments in Windows, see:
# http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
if(MSVC)
  set_target_properties(FPack Funpack PROPERTIES 
    LINK_FLAGS "setargv.obj"
  )
endif(MSVC)

=== debian/changelog ===
cfitsio (3.370-5) unstable; urgency=medium

  * Don't run the testsuite for the indep target. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 14:32:24 +0200

cfitsio (3.370-4) unstable; urgency=medium

  * Add patches/09-memcpy-overlap.diff to use memmove instead of memcpy
    where memory area might overlaps (closes: #800819).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 11:24:22 +0200

cfitsio (3.370-3) unstable; urgency=medium

  * Remove the libcfitsio3-doc transitional package.
  * Add the upstream homepage in debian/control.
  * Upgrade Standard-Version to 3.9.6 (no changes).
  * Build and install imcopy in libcfitsio-bin (closes: #793851).
  * Add a manpage for imcopy, provided by Ole Streicher.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Apr 2015 21:27:54 +0200

cfitsio (3.370-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix shared library detection for hurd.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2014 23:10:09 +0200

cfitsio (3.370-1) experimental; urgency=low

  * New upstream version:
    - Upstream is finally properly versioning the library name, and ensure the
      soname will change if the ABI changes. This will make the maintenance
      easier in Debian. Unfortunately it means for now that the library package
      name has to be changed. Take advantage of that to rename all packages:
      - cfitsio3 (source) -> cfitsio
      - libcfitsio3 -> libcfitsio2
      - libcfitsio3-dbg -> libcfitsio2-dbg
      - libcfitsio3-dev -> libcfitsio-dev
      - libcfitsio3-doc -> libcfitsio-doc
    - Add libcfitsio3-dev and libcfitsio3-doc transitional packages.
    - Add a build-depency on libbz2-dev to enable new bzip2 support.
    - Refresh all patches and drop ones merged upstream
  * Run testprog as a testsuite if DEB_BUILD_OPTIONS does not contain
    "nocheck".
  * Add a libcfitsio-bin package with the fitscopy, fpack and funpack
    binaries.  Closes: #726706.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 21:13:47 +0200

cfitsio3 (3.340-3) unstable; urgency=medium

  * Rewrite debian/rules using dh and use dh-autoreconf.
  * Upgrade Standard-Version to 3.9.5 (no changes).
  * Move examples from libcfitsio3-dev to libcfitsio3-doc. Mark
    libcfitsio3-dev as Multi-Arch: same.
  * Backport arm64 support from upstream.  Closes: #733753.
  * Backport ppc64el support from upstream.  Closes: #733649.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 20:33:58 +0200

cfitsio3 (3.340-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 21:55:04 +0200

cfitsio3 (3.340-1) experimental; urgency=low

  * New upstream version. Closes: bug#720905.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:35:59 +0200

cfitsio3 (3.310-1) experimental; urgency=low

  * New upstream version.
  * Compress .deb with xz.
  * Update symbols file.
  * Use cc as the compiler instead of gcc.
  * Upgrade Standard-Version to 3.9.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Nov 2012 14:46:02 +0100

cfitsio3 (3.300-2) unstable; urgency=low

  * Fix undefined off_t on mips and mipsel when buildig with -std=c99. 
    Closes: bug#671835.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 13:25:31 +0200

cfitsio3 (3.300-1) unstable; urgency=low

  * New upstream version:
    - Refresh patches.
    - Update symbols file.
  * Upgrade Standard-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:47:57 +0200

cfitsio3 (3.290-1) unstable; urgency=low

  * New upstream version: 
    - Refresh patches.
    - Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Dec 2011 22:01:57 +0100

cfitsio3 (3.280-2) unstable; urgency=low

  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libcfitsio3 and set it 
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2011 07:35:13 +0200

cfitsio3 (3.280-1) unstable; urgency=low

  * New upstream version. 
  * Upgrade Standard-Version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 19:19:55 +0200

cfitsio3 (3.260-1) unstable; urgency=low

  * New upstream version.  Closes: #615612.
  * Use system zlib instead of embedded copy.  Closes: #613383.
  * Use system cfortran header instead of embedded copy.  Closes: #613379. 
  * Add zlib and cfortran licenses to debian/copyright, even if these 
    files are not used to build the package.  Closes: #613384.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:18:46 +0100

cfitsio3 (3.250-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Upgrade Standard-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 16:59:33 +0100

cfitsio3 (3.240-1) unstable; urgency=low

  * New upstream version:
    - drop 05-sh4.diff (merged upstream).
  * Upgrade Standard-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2010 23:26:30 +0100

cfitsio3 (3.230-2) unstable; urgency=low

  * Add 05-sh4.diff to series.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:36:54 +0100

cfitsio3 (3.230-1) unstable; urgency=low

  * New upstream version.
  * Add {misc:Depends} to all packages.
  * Add 05-sh4.patch from Nobuhiro Iwamatsu.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Jan 2010 22:48:41 +0100

cfitsio3 (3.210-3) unstable; urgency=low

  * Link the shared library with pthread. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 00:46:25 +0100

cfitsio3 (3.210-2) unstable; urgency=low

  * 04-pthread-mutex.patch: new patch to fix build on non-Linux 
    architectures.



=== debian/control ===
Source: cfitsio
Section: devel
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
Build-Depends-indep: hevea, texlive
Standards-Version: 3.9.6
Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html

Package: libcfitsio2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for I/O with FITS format data files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains what you need to run programs that use this
 library.

Package: libcfitsio2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
Description: library for I/O with FITS format data files (debugging symbols)
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package provides debugging symbols. It is provided  primarily to 
 provide a backtrace with names in a debugger, this makes it somewhat 
 easier to interpret core dumps.

Package: libcfitsio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
Replaces: libcfitsio3-dev (<< 3.340-3)
Breaks: libcfitsio3-dev (<< 3.340-3)
Recommends: libcfitsio-doc
Description: library for I/O with FITS format data files (development files) 
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libcfitsio-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CFITSIO based utilities
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains utility programs, based on CFITSIO, namely
 fitscopy, fpack and funpack.

Package: libcfitsio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libcfitsio-dev
Replaces: libcfitsio3-doc (<< 3.340-3)
Breaks: libcfitsio3-doc (<< 3.340-3)
Description: documentation for CFITSIO
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains the CFITSIO User's Guide and QuickStart Guide
 in html, postscript and text formats, and contains documentation on
 how to use the library in your programs. It also contains example
 source files that demonstrate the use of CFITSIO.

#
# Transitional package, can be removed after the Jessie release
#
Package: libcfitsio3-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libcfitsio-dev (>= ${source:Version}), ${misc:Depends}
Description: Transitional package for libcfitsio-dev
 This is a transitional package for libcfitsio-dev, and can be safely
 removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f fitscopy imcopy
	rm -f testprog.fit
	rm -rf docs/cfitsio docs/fitsio docs/quick

override_dh_auto_configure:
	dh_auto_configure -- --enable-reentrant

override_dh_auto_build-arch:
	dh_auto_build -- shared
	dh_auto_build -- fitscopy fpack funpack imcopy testprog

override_dh_auto_build-indep:
	# docs/cfitsio.tex
	mkdir -p $(CURDIR)/docs/cfitsio
	hevea -fix -o $(CURDIR)/docs/cfitsio/cfitsio docs/cfitsio.tex
	cd $(CURDIR)/docs/cfitsio && hacha cfitsio && rm -f cfitsio *.haux *.htoc *.hind

	# docs/fitsio.tex
	mkdir -p $(CURDIR)/docs/fitsio
	hevea -fix -o $(CURDIR)/docs/fitsio/fitsio docs/fitsio.tex
	cd $(CURDIR)/docs/fitsio && hacha fitsio && rm -f fitsio *.haux *.htoc *.hind

	# docs/quik.tex
	mkdir -p $(CURDIR)/docs/quick
	hevea -fix -o $(CURDIR)/docs/quick/quick docs/quick.tex
	cd $(CURDIR)/docs/quick && hacha quick && rm -f quick *.haux *.htoc *.hind

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(CURDIR)/testprog
endif

override_dh_auto_install-arch:
	dh_auto_install
	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin

override_dh_strip:
	dh_strip --dbg-package=libcfitsio2-dbg

## cfitsio 3.380

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,21 +6,31 @@
 OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
+set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 36)
+SET(${PROJECT_NAME}_MINOR_VERSION 38)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
+SET(LIB_NAME cfitsio)
 
-IF(WIN32)
-    SET(LIB_NAME cfitsio)
-ELSE()
-    SET(LIB_NAME libcfitsio)
+# Microsoft Visual Studio:
+IF(MSVC OR BORLAND)
+    # Define
+    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
+    # Need an empty unistd.h in MSVC for flex-generated eval_l.c:
+    FILE(WRITE ${CMAKE_SOURCE_DIR}/unistd.h "")
+    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
 ENDIF()
 
-# Define
-IF(MSVC)
-    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
+IF(BORLAND)
+    # Suppress spurious Borland compiler warnings about "Suspicious
+    # pointer arithmetic", "Possibly incorrect assignment", and
+    # "Comparing signed and unsigned values".
+    ADD_DEFINITIONS(-w-spa)
+    ADD_DEFINITIONS(-w-pia)
+    ADD_DEFINITIONS(-w-csu)
 ENDIF()
 
 #add_subdirectory (src)
@@ -37,6 +47,13 @@
     FIND_PACKAGE(pthreads REQUIRED)
     INCLUDE_DIRECTORIES(${PTHREADS_INCLUDE_DIR})
     ADD_DEFINITIONS(-D_REENTRANT)
+ENDIF()
+
+# Math library (not available in MSVC)
+IF (NOT MSVC)
+    FIND_LIBRARY(M_LIB m)
+ELSE()
+    SET(M_LIB "")
 ENDIF()
 
 SET(SRC_FILES
@@ -58,19 +75,20 @@
 )
 
 ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
-TARGET_LINK_LIBRARIES(${LIB_NAME}
-    ${PTHREADS_LIBRARY}
-)
+TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
 
-SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES
-    VERSION ${PROJECT_NAME}_VERSION
-)
+SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
+install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
+install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
 ENABLE_TESTING()
 
 ADD_EXECUTABLE(TestProg testprog.c)
 TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
 ADD_TEST(TestProg TestProg)
+# Copy testprog.tpt to build directory to allow quick test
+# of ./TestProg (or .\Release\TestProg.exe in MSVC):
+FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
 ADD_EXECUTABLE(cookbook cookbook.c)
 TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
@@ -82,6 +100,9 @@
 ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
 TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
 
+ADD_EXECUTABLE(Fitscopy fitscopy.c)
+TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+
 # To expands the command line arguments in Windows, see:
 # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
 if(MSVC)

=== debian/changelog ===
cfitsio (3.380-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 26 Feb 2016 18:24:42 +0100

cfitsio (3.380-1) experimental; urgency=medium

  * New upstream version:
    - drop patches/01-pthread-mutex.patch.
    - drop patches/04-buildflags.diff.
    - refresh patches/05-system-zlib.patch.
    - drop patches/06-fpack-funpack-dynamic-link.diff.
    - drop patches/07-testprog-static-link.diff.
    - drop debian/patches/09-memcpy-overlap.diff.
    - add debian/patches/01-LDFLAGS.diff to correctly handle LDFLAGS.
  * Rename libcfitsio2 into libcfitsio4.
  * Rename libcfitsio2-dbg into libcfitsio4-dbg.
  * debian/fpack.1, debian/funpack.1: fix a spelling error reported by
    lintian.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Feb 2016 15:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
-Package: libcfitsio2
+Package: libcfitsio4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,12 +22,12 @@
  This package contains what you need to run programs that use this
  library.
 
-Package: libcfitsio2-dbg
+Package: libcfitsio4-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
 Description: library for I/O with FITS format data files (debugging symbols)
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
@@ -43,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
 	dh $@ --parallel --with autoreconf
@@ -34,7 +36,7 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(CURDIR)/testprog
+	LD_LIBRARY_PATH=$(CURDIR) $(CURDIR)/testprog
 endif
 
 override_dh_auto_install-arch:
@@ -43,4 +45,4 @@
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
 
 override_dh_strip:
-	dh_strip --dbg-package=libcfitsio2-dbg
+	dh_strip --dbg-package=libcfitsio4-dbg

## cfitsio 3.390

=== debian/changelog ===
cfitsio (3.390-2) unstable; urgency=medium

  * Add a debian/upstream/metadata file, provided by Ole Streicher (Closes:
    #816551).
  * Drop the libcfitsio3-dev transitional package.
  * Set the "Maintainer" field to Debian Astronomy Maintainers
    <debian-astro-maintainers@lists.alioth.debian.org>, move myself to
    the "Uploaders" field.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 20 Oct 2016 23:47:32 +0200

cfitsio (3.390-1) experimental; urgency=medium

  * New upstream version (Closes: #840473).
    - Rebase 01-LDFLAGS.diff.
  * Rename libcfitsio4 into libcfitsio5.
  * Drop libcfitsio4-dbg, replaced by the automatic dbgsym package. 
  * Upgrade Standard-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 Oct 2016 11:36:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cfitsio
 Section: devel
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
 Build-Depends-indep: hevea, texlive
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
-Package: libcfitsio4
+Package: libcfitsio5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,28 +23,11 @@
  This package contains what you need to run programs that use this
  library.
 
-Package: libcfitsio4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
-Description: library for I/O with FITS format data files (debugging symbols)
- FITS (Flexible Image Transport System) is a data format most used in
- astronomy. cfitsio is a library of ANSI C routines for reading and
- writing FITS format data files.  A set of Fortran-callable wrapper
- routines are also included for the convenience of Fortran
- programmers.
- .
- This package provides debugging symbols. It is provided  primarily to 
- provide a backtrace with names in a debugger, this makes it somewhat 
- easier to interpret core dumps.
-
 Package: libcfitsio-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio5 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
@@ -88,15 +72,3 @@
  in html, postscript and text formats, and contains documentation on
  how to use the library in your programs. It also contains example
  source files that demonstrate the use of CFITSIO.
-
-#
-# Transitional package, can be removed after the Jessie release
-#
-Package: libcfitsio3-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libcfitsio-dev (>= ${source:Version}), ${misc:Depends}
-Description: Transitional package for libcfitsio-dev
- This is a transitional package for libcfitsio-dev, and can be safely
- removed after the installation is complete.

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,3 @@
 	dh_auto_install
 	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
-
-override_dh_strip:
-	dh_strip --dbg-package=libcfitsio4-dbg

## cfitsio 3.410

=== debian/changelog ===
cfitsio (3.410-1) unstable; urgency=medium

  * New upstream version:
    - Rebase 05-system-zlib.patch.
    - Add 04-revert-3.410-abi-breakage.diff to revert an ABI breakage
      introduced in version 3.410.
    - Update symbol file.
  * Update debian/control and debian/copyright to use a https URL.
  * Enable bzip2 support.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Dec 2016 00:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
 Build-Depends-indep: hevea, texlive
 Standards-Version: 3.9.8
-Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
+Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
 Package: libcfitsio5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -rf docs/cfitsio docs/fitsio docs/quick
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-reentrant
+	dh_auto_configure -- --enable-reentrant --with-bzip2
 
 override_dh_auto_build-arch:
 	dh_auto_build -- shared

## cfitsio 3.420

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 38)
+SET(${PROJECT_NAME}_MINOR_VERSION 42)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
 
@@ -49,11 +49,11 @@
     ADD_DEFINITIONS(-D_REENTRANT)
 ENDIF()
 
-# Math library (not available in MSVC)
-IF (NOT MSVC)
+# Math library (not available in MSVC or MINGW)
+IF (MSVC OR MINGW)
+    SET(M_LIB "")
+ELSE()
     FIND_LIBRARY(M_LIB m)
-ELSE()
-    SET(M_LIB "")
 ENDIF()
 
 SET(SRC_FILES

=== debian/changelog ===
cfitsio (3.420-3) unstable; urgency=medium

  * Add 07-pkgconfig-no-curl.patch to only add -lcurl to Libs.private.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Sep 2017 22:04:02 +0200

cfitsio (3.420-2) unstable; urgency=medium

  * Tell dh to not run configure and make for arch:all builds.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 17:29:13 +0200

cfitsio (3.420-1) unstable; urgency=medium

  * New upstream version:
    - Update symbols file.
  * Add VCS-Git and VCS-Browser fields to debian/control.
  * Switch to debhelper 10.
  * Drop debian/source/options, xz is now the default.
  * Move arch-specific build-depends to Build-Depends-Arch.
  * Move libcfitsio5 to section libs.
  * Upgrade Standard-Version to 4.1.0.
  * Mark libcfitsio-doc as Multi-Arch: foreign.
  * Add a Build-Depends-Arch on libcurl4-gnutls-dev to enable curl support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 15:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
-Build-Depends-indep: hevea, texlive
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
+Build-Depends-Indep: hevea, texlive
+Standards-Version: 4.1.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cfitsio.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cfitsio.git
 
 Package: libcfitsio5
 Architecture: any
+Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -31,7 +35,7 @@
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
-Description: library for I/O with FITS format data files (development files) 
+Description: library for I/O with FITS format data files (development files)
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
  writing FITS format data files.  A set of Fortran-callable wrapper
@@ -57,6 +61,7 @@
 Package: libcfitsio-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libcfitsio-dev
 Replaces: libcfitsio3-doc (<< 3.340-3)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -11,8 +11,11 @@
 	rm -f testprog.fit
 	rm -rf docs/cfitsio docs/fitsio docs/quick
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure -- --enable-reentrant --with-bzip2
+
+override_dh_auto_configure-indep:
+	# Nothing to do
 
 override_dh_auto_build-arch:
 	dh_auto_build -- shared
@@ -43,3 +46,6 @@
 	dh_auto_install
 	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
+
+override_dh_auto_install-indep:
+	# Nothing to do

## cfitsio 3.430

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,19 @@
+# CFITSIO CMakeLists.txt
+
+# Suppress warning about WIN32 no longer being defined on Cygwin:
+SET(CMAKE_LEGACY_CYGWIN_WIN32 0)
+
 PROJECT(CFITSIO)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
+
+# Allow @rpath token in target install name on Macs.
+# See "cmake --help-policy CMP0042" for more information.
+IF(POLICY CMP0042)
+  CMAKE_POLICY(SET CMP0042 NEW)
+ENDIF()
+
+INCLUDE (${CMAKE_ROOT}/Modules/CheckLibraryExists.cmake)
+INCLUDE (${CMAKE_ROOT}/Modules/CheckFunctionExists.cmake)
 
 # Allow the developer to select if Dynamic or Static libraries are built
 OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
@@ -11,7 +25,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 42)
+SET(${PROJECT_NAME}_MINOR_VERSION 43)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
 
@@ -56,6 +70,33 @@
     FIND_LIBRARY(M_LIB m)
 ENDIF()
 
+# Support for remote file drivers is not implemented for native Windows:
+IF (NOT MSVC)
+    # Find library needed for gethostbyname:
+    CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
+    IF(NOT CMAKE_HAVE_GETHOSTBYNAME)
+       CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_HAVE_GETHOSTBYNAME)
+    ENDIF()
+
+    # Find library needed for connect:
+    CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
+    IF(NOT CMAKE_HAVE_CONNECT)
+       CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_HAVE_CONNECT)
+    ENDIF()
+
+    # Define HAVE_NET_SERVICES if gethostbyname & connect were found:
+    IF (CMAKE_HAVE_GETHOSTBYNAME AND CMAKE_HAVE_CONNECT)
+        ADD_DEFINITIONS(-DHAVE_NET_SERVICES)
+    ENDIF ()
+
+    # Find curl library, for HTTPS support:
+    FIND_PACKAGE(CURL)
+    IF (CURL_FOUND)
+        INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
+        ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
+    ENDIF()
+ENDIF()
+
 SET(SRC_FILES
     buffers.c cfileio.c checksum.c drvrfile.c drvrmem.c
     drvrnet.c drvrsmem.c drvrgsiftp.c editcol.c edithdu.c eval_l.c
@@ -75,7 +116,7 @@
 )
 
 ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
-TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
+TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB} ${CURL_LIBRARIES})
 
 SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
 install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})

=== debian/changelog ===
cfitsio (3.430-2) unstable; urgency=medium

  * Add 10-riscv.patch to add support for riscv64.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Apr 2018 21:24:14 +0200

cfitsio (3.430-1) unstable; urgency=medium

  * New upstream version:
    - Fixes unknown vulnerabilities (Closes: #892458).
    - Rebase 07-pkgconfig-no-curl.patch.
  * Update VCS URLs to salsa.debian.org.
  * Rebuild all PDF documentation and ship it instead of the PS version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Mar 2018 01:02:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
-Build-Depends-Indep: hevea, texlive
+Build-Depends-Indep: hevea, latex2html, texlive
 Standards-Version: 4.1.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cfitsio.git
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cfitsio.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
+Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
 
 Package: libcfitsio5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,20 +22,18 @@
 	dh_auto_build -- fitscopy fpack funpack imcopy testprog
 
 override_dh_auto_build-indep:
-	# docs/cfitsio.tex
-	mkdir -p $(CURDIR)/docs/cfitsio
-	hevea -fix -o $(CURDIR)/docs/cfitsio/cfitsio docs/cfitsio.tex
-	cd $(CURDIR)/docs/cfitsio && hacha cfitsio && rm -f cfitsio *.haux *.htoc *.hind
-
-	# docs/fitsio.tex
-	mkdir -p $(CURDIR)/docs/fitsio
-	hevea -fix -o $(CURDIR)/docs/fitsio/fitsio docs/fitsio.tex
-	cd $(CURDIR)/docs/fitsio && hacha fitsio && rm -f fitsio *.haux *.htoc *.hind
-
-	# docs/quik.tex
-	mkdir -p $(CURDIR)/docs/quick
-	hevea -fix -o $(CURDIR)/docs/quick/quick docs/quick.tex
-	cd $(CURDIR)/docs/quick && hacha quick && rm -f quick *.haux *.htoc *.hind
+	for i in cfitsio fitsio quick ; do \
+		mkdir -p $(CURDIR)/docs/$$i ; \
+		hevea -fix -o $(CURDIR)/docs/$$i/$$i $(CURDIR)/docs/$$i.tex ; \
+		cd $(CURDIR)/docs/$$i ; \
+		hacha $$i ; \
+		rm -f $$i *.haux *.htoc *.hind ; \
+		cd $(CURDIR)/docs ; \
+		latex $$i.tex ; \
+		latex $$i.tex ; \
+		latex $$i.tex ; \
+		dvipdf $$i.dvi ; \
+	done
 
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

## cfitsio 3.450

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 43)
+SET(${PROJECT_NAME}_MINOR_VERSION 45)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)

=== debian/changelog ===
cfitsio (3.450-3) unstable; urgency=medium

  * debian/rules: call hevea with relative paths to avoid capturing the
    build path in the generated documentation. Thanks to Chris Lamb for
    the hint (Closes: #914176).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Nov 2018 00:04:08 +0100

cfitsio (3.450-2) unstable; urgency=medium

  * Upload to unstable.
  * Upgrade Standard-Version to 4.2.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 06 Oct 2018 12:17:19 +0200

cfitsio (3.450-1) experimental; urgency=medium

  * New upstream version:
    - Rename libcfitsio6 into libcfitsio7.
    - Replace part of 05-system-zlib.patch, 06-system-bzip2.patch,
      and 07-pkgconfig-no-curl.patch by 04-pkgconfig-private.patch.
  * Upgrade Standard-Version to 4.1.5 (no changes).
  * Build and run testprog as autopkgtest.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jul 2018 23:31:23 +0200

cfitsio (3.440-3) experimental; urgency=medium

  * debian/patches/02-system-cfortran.patch: update to add support for
    newer cfortran versions (Closes: #902009).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jul 2018 22:22:24 +0200

cfitsio (3.440-2) experimental; urgency=medium

  * debian/copyright: update to add the copyright of fits_hcompress.c and
    fits_hdecompress.c (Closes: #895745).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Apr 2018 22:04:50 +0200

cfitsio (3.440-1) experimental; urgency=medium

  * New upstream version:
    - Fixes unknown vulnerabilities.
    - Rename libcfitsio5 into libcfitsio6.
    - Drop 04-revert-3.410-abi-breakage.diff.
    - Rebase 05-system-zlib.patch.
    - Drop 09-latex-fixes.patch (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Apr 2018 19:54:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
+XS-Testsuite: autopkgtest
 
-Package: libcfitsio5
+Package: libcfitsio7
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -31,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio5 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio7 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

## cfitsio 3.470

=== debian/changelog ===
cfitsio (3.470-3) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Aug 2019 18:30:40 +0200

cfitsio (3.470-2) experimental; urgency=medium

  * Upload to experimental.
  * Add 06-riscv.patch to fix riscv64 support.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 01 Aug 2019 13:18:32 +0200

cfitsio (3.470-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version:
    - Rename libcfitsio7 into libcfitsio8.
    - Refresh 04-pkgconfig-private.patch
    - Rebase 05-system-zlib.patch
    - Drop debian/patches/10-riscv.patch
    - Add 09-drvnet-format-security.diff to fix a format string security
      issue.
  * Upgrade Standard-Version to 4.3.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 29 May 2019 19:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
 XS-Testsuite: autopkgtest
 
-Package: libcfitsio7
+Package: libcfitsio8
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -32,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio7 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio8 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

=== debian/tests/control ===
Tests: testprog
Depends: build-essential, libcfitsio-dev, pkg-config

## cfitsio 3.490

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,13 +19,16 @@
 OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
 OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)
 
+# Allow curl dependency to be disabled using "-DUseCurl=OFF":
+OPTION(UseCurl "UseCurl" ON)
+
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
 set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 45)
+SET(${PROJECT_NAME}_MINOR_VERSION 49)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
 
@@ -90,64 +93,95 @@
     ENDIF ()
 
     # Find curl library, for HTTPS support:
-    FIND_PACKAGE(CURL)
-    IF (CURL_FOUND)
-        INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
-        ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
+    IF (UseCurl)
+        FIND_PACKAGE(CURL)
+        IF (CURL_FOUND)
+            INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
+            ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
+        ENDIF()
     ENDIF()
 ENDIF()
 
 SET(SRC_FILES
-    buffers.c cfileio.c checksum.c drvrfile.c drvrmem.c
-    drvrnet.c drvrsmem.c drvrgsiftp.c editcol.c edithdu.c eval_l.c
-    eval_y.c eval_f.c fitscore.c getcol.c getcolb.c getcold.c getcole.c
-    getcoli.c getcolj.c getcolk.c getcoll.c getcols.c getcolsb.c
-    getcoluk.c getcolui.c getcoluj.c getkey.c group.c grparser.c
-    histo.c iraffits.c
-    modkey.c putcol.c putcolb.c putcold.c putcole.c putcoli.c
-    putcolj.c putcolk.c putcoluk.c putcoll.c putcols.c putcolsb.c
-    putcolu.c putcolui.c putcoluj.c putkey.c region.c scalnull.c
-    swapproc.c wcssub.c wcsutil.c imcompress.c quantize.c ricecomp.c
-    pliocomp.c fits_hcompress.c fits_hdecompress.c zlib/zuncompress.c
-    zlib/zcompress.c zlib/adler32.c zlib/crc32.c zlib/inffast.c
-    zlib/inftrees.c zlib/trees.c zlib/zutil.c zlib/deflate.c
-    zlib/infback.c zlib/inflate.c zlib/uncompr.c simplerng.c
+    buffers.c cfileio.c checksum.c
+    drvrfile.c drvrmem.c drvrnet.c
+    editcol.c edithdu.c eval_f.c eval_l.c eval_y.c
     f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
+    fits_hcompress.c fits_hdecompress.c fitscore.c
+    getcol.c getcolb.c getcold.c getcole.c getcoli.c getcolj.c getcolk.c
+    getcoll.c getcols.c getcolsb.c getcolui.c getcoluj.c getcoluk.c
+    getkey.c group.c grparser.c histo.c imcompress.c iraffits.c modkey.c
+    pliocomp.c
+    putcol.c putcolb.c putcold.c putcole.c putcoli.c putcolj.c putcolk.c
+    putcoll.c putcols.c putcolsb.c putcolu.c putcolui.c putcoluj.c putcoluk.c
+    putkey.c quantize.c region.c ricecomp.c scalnull.c simplerng.c swapproc.c
+    wcssub.c wcsutil.c zlib/zcompress.c zlib/zuncompress.c
 )
 
+# For future modifications:
+
+# drvrsmem.c is only usable if HAVE_SHMEM_SERVICES is defined:
+#drvrsmem.c
+
+# drvrgsiftp.c is only usable if HAVE_NET_SERVICES & HAVE_GSIFTP are defined:
+#drvrgsiftp.c
+
+# Only include zlib source files if we are building a shared library.
+# Users will need to link their executable with zlib independently.
+IF (BUILD_SHARED_LIBS)
+    set(SRC_FILES ${SRC_FILES}
+        zlib/adler32.c zlib/crc32.c zlib/deflate.c zlib/infback.c
+        zlib/inffast.c zlib/inflate.c zlib/inftrees.c zlib/trees.c
+        zlib/uncompr.c zlib/zutil.c
+        )
+ENDIF()
+
 ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
-TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB} ${CURL_LIBRARIES})
+TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
+IF (CURL_FOUND)
+    TARGET_LINK_LIBRARIES(${LIB_NAME} ${CURL_LIBRARIES})
+ENDIF(CURL_FOUND)
 
 SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
 install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
+install(TARGETS ${LIB_NAME}
+                            RUNTIME DESTINATION bin
+                            LIBRARY DESTINATION lib
+                            ARCHIVE DESTINATION lib)
 install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
-ENABLE_TESTING()
+# Only build test code and executables if building a shared library:
+IF (BUILD_SHARED_LIBS)
 
-ADD_EXECUTABLE(TestProg testprog.c)
-TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
-ADD_TEST(TestProg TestProg)
-# Copy testprog.tpt to build directory to allow quick test
-# of ./TestProg (or .\Release\TestProg.exe in MSVC):
-FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+    ENABLE_TESTING()
 
-ADD_EXECUTABLE(cookbook cookbook.c)
-TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
-ADD_TEST(cookbook cookbook)
+    ADD_EXECUTABLE(TestProg testprog.c)
+    TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
+    ADD_TEST(TestProg TestProg)
+    # Copy testprog.tpt to build directory to allow quick test
+    # of ./TestProg (or .\Release\TestProg.exe in MSVC):
+    FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
-ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
-TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
+    ADD_EXECUTABLE(cookbook cookbook.c)
+    TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
+    ADD_TEST(cookbook cookbook)
 
-ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
-TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
+    ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
+    TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
 
-ADD_EXECUTABLE(Fitscopy fitscopy.c)
-TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+    ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
+    TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
 
-# To expands the command line arguments in Windows, see:
-# http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
-if(MSVC)
-  set_target_properties(FPack Funpack PROPERTIES 
-    LINK_FLAGS "setargv.obj"
-  )
-endif(MSVC)
+    ADD_EXECUTABLE(Fitscopy fitscopy.c)
+    TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+
+    # To expand the command line arguments in Windows, see:
+    # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
+    if(MSVC)
+      set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
+    endif(MSVC)
+
+ENDIF(BUILD_SHARED_LIBS)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)

=== debian/changelog ===
cfitsio (3.490-3) unstable; urgency=medium

  * Fix autopkgtests:
    - Redirect GCC warnings to stdout.
    - Make sure to use the installed header file and not the sources one.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2020 22:24:49 +0200

cfitsio (3.490-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2020 17:23:46 +0200

cfitsio (3.490-1) experimental; urgency=medium

  * New upstream version:
    - Refresh 06-spelling-errors.diff.
    - Refresh 08-hurd.diff.
    - Drop 09-drvnet-format-security.diff.
  * Switch to debhelper 13.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2020 19:15:45 +0200

cfitsio (3.480-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version:
    - Rename libcfitsio8 into libcfitsio9.
    - Refresh 04-pkgconfig-private.patch.
    - Drop debian/patches/06-riscv64.diff.
    - Add 10-latex.diff to fix an issue to build latex documentation.
  * Drop XS-Testsuite entry from debian/control.
  * Add 06-spelling-errors.diff to fix a few spelling errors in library
    messages.
  * Drop debian/libcfitsio-doc.dirs as this is now handled by debhelper.
  * Update 01-LDFLAGS.diff to avoid adding an runpath.
  * Add a watch file.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Jun 2020 12:56:06 +0200

cfitsio (3.470-4) unstable; urgency=medium

  * Switch to debhelper 12.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Fix autopkgtests with recent GCC version, LDFLAGS needs to be last.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Mar 2020 20:46:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
-XS-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
-Package: libcfitsio8
+Package: libcfitsio9
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -32,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio8 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio9 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,9 @@
 
 override_dh_auto_build-indep:
 	for i in cfitsio fitsio quick ; do \
+		cd $(CURDIR) ; \
 		mkdir -p $(CURDIR)/docs/$$i ; \
-		hevea -fix -o $(CURDIR)/docs/$$i/$$i $(CURDIR)/docs/$$i.tex ; \
+		hevea -fix -o docs/$$i/$$i docs/$$i.tex ; \
 		cd $(CURDIR)/docs/$$i ; \
 		hacha $$i ; \
 		rm -f $$i *.haux *.htoc *.hind ; \
